---
title: Retrieve information about all schemas on a zone
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[API Gateway](https://developers.cloudflare.com/api/python/resources/api_gateway)

[User Schemas](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/user_schemas)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Retrieve information about all schemas on a zone

Deprecated: Use \[Schema Validation API](https://developers.cloudflare.com/api/resources/schema\_validation/) instead.

api\_gateway.user\_schemas.list(UserSchemaListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[OldPublicSchema](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)>)]

GET/zones/{zone\_id}/api\_gateway/user\_schemas

Lists all OpenAPI schemas uploaded to API Shield for the zone, including their validation status and associated operations. Deprecated; use `/zones/{zone_id}/schema_validation/schemas` instead.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Account API Gateway Read``Domain API Gateway``Domain API Gateway Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

omit\_source: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/user_schemas/methods/list#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20omit_source%20%3E%20(schema)>)]

Omit the source-files of schemas and only retrieve their meta-data.

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20omit_source%20%3E%20(schema)>)

page: Optional\[int]

Page number of paginated results.

minimum1

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[int]

Maximum number of results per page.

maximum50

minimum5

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

validation\_enabled: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/user_schemas/methods/list#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20validation_enabled%20%3E%20(schema)>)]

Flag whether schema is enabled for validation.

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20validation_enabled%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class OldPublicSchema: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

kind: Literal\["openapi\_v3"]

Kind of schema

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

name: str

Name of the schema

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

schema\_id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20schema_id">Link to this property</a>

source: Optional\[str]

Source of the schema

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

validation\_enabled: Optional\[bool]

Flag whether schema is enabled for validation.

<a href="#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)%20%3E%20(property)%20validation_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.user_schemas%20%3E%20(model)%20old_public_schema%20%3E%20(schema)>)

### Retrieve information about all schemas on a zone

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.api_gateway.user_schemas.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.schema_id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "kind": "openapi_v3",
      "name": "petstore schema",
      "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "source": "<schema file bytes>",
      "validation_enabled": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "kind": "openapi_v3",
      "name": "petstore schema",
      "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "source": "<schema file bytes>",
      "validation_enabled": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```